org.jboss.jca.deployers.fungal

## Class AbstractFungalDeployment

- java.lang.Object
- - org.jboss.jca.deployers.fungal.AbstractFungalDeployment

- All Implemented Interfaces:
    com.github.fungal.spi.deployers.Deployment
  Direct Known Subclasses:
    RAActivatorDeployment, RADeployment, RaXmlDeployment

      public abstract class AbstractFungalDeployment
      extends java.lang.Object
      implements com.github.fungal.spi.deployers.Deployment

  A resource adapter deployment for JCA/SJC
  Author:
    Jesper Pedersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `activator` Activator
    `protected java.lang.String[]` | `aoJndis` The JNDI names of the admin objects
    `protected java.lang.Object[]` | `aos` The admin objects
    `protected java.lang.String` | `bootstrapContextId` The bootstrap context identifier
    `protected org.jboss.jca.core.connectionmanager.ConnectionManager[]` | `cfCMs` The connection managers
    `protected java.lang.String[]` | `cfJndis` The JNDI names of the connection factories
    `protected java.lang.Object[]` | `cfs` The connection factories
    `protected com.github.fungal.api.classloading.KernelClassLoader` | `cl` The classloader
    `protected org.jboss.jca.core.api.management.Connector` | `connector` The management connector
    `protected java.net.URL` | `deployment` The deployment
    `protected java.lang.String` | `deploymentName` The deployment name
    `protected org.jboss.jca.core.spi.naming.JndiStrategy` | `jndiStrategy` The JNDI strategy
    `protected org.jboss.jca.deployers.DeployersLogger` | `log` The logger
    `protected org.jboss.jca.core.api.management.ManagementRepository` | `managementRepository` The management repository
    `protected org.jboss.jca.core.spi.mdr.MetadataRepository` | `mdr` The MDR
    `protected java.util.List<javax.management.ObjectName>` | `objectNames` The ObjectName's
    `protected javax.resource.spi.ResourceAdapter` | `ra` The resource adapter instance
    `protected java.lang.String` | `raKey` The resource adapter instance key
    `protected org.jboss.jca.core.spi.rar.ResourceAdapterRepository` | `rar` The resource adapter repository
    `protected org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery[]` | `recoveryModules` The recovery modules
    `protected org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry` | `recoveryRegistry` The recovery registry
    `protected javax.management.MBeanServer` | `server` The MBeanServer

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFungalDeployment(java.net.URL deployment, java.lang.String deploymentName, boolean activator, javax.resource.spi.ResourceAdapter ra, java.lang.String raKey, java.lang.String bootstrapContextId, org.jboss.jca.core.spi.naming.JndiStrategy jndiStrategy, org.jboss.jca.core.spi.mdr.MetadataRepository metadataRepository, org.jboss.jca.core.spi.rar.ResourceAdapterRepository resourceAdapterRepository, java.lang.Object[] cfs, java.lang.String[] cfJndis, org.jboss.jca.core.connectionmanager.ConnectionManager[] cfCMs, java.lang.Object[] aos, java.lang.String[] aoJndis, org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery[] recoveryModules, org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry recoveryRegistry, org.jboss.jca.core.api.management.ManagementRepository managementRepository, org.jboss.jca.core.api.management.Connector connector, javax.management.MBeanServer server, java.util.List<javax.management.ObjectName> objectNames, com.github.fungal.api.classloading.KernelClassLoader cl, org.jboss.jca.deployers.DeployersLogger log)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroy
    `java.lang.ClassLoader` | `getClassLoader()` Get the classloader
    `java.net.URL` | `getURL()` Get the unique URL for the deployment
    `void` | `stop()` Stop

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected org.jboss.jca.deployers.DeployersLogger log

      The logger

    - #### deployment

          protected java.net.URL deployment

      The deployment

    - #### deploymentName

          protected java.lang.String deploymentName

      The deployment name

    - #### activator

          protected boolean activator

      Activator

    - #### ra

          protected javax.resource.spi.ResourceAdapter ra

      The resource adapter instance

    - #### raKey

          protected java.lang.String raKey

      The resource adapter instance key

    - #### bootstrapContextId

          protected java.lang.String bootstrapContextId

      The bootstrap context identifier

    - #### jndiStrategy

          protected org.jboss.jca.core.spi.naming.JndiStrategy jndiStrategy

      The JNDI strategy

    - #### mdr

          protected org.jboss.jca.core.spi.mdr.MetadataRepository mdr

      The MDR

    - #### rar

          protected org.jboss.jca.core.spi.rar.ResourceAdapterRepository rar

      The resource adapter repository

    - #### cfs

          protected java.lang.Object[] cfs

      The connection factories

    - #### cfJndis

          protected java.lang.String[] cfJndis

      The JNDI names of the connection factories

    - #### cfCMs

          protected org.jboss.jca.core.connectionmanager.ConnectionManager[] cfCMs

      The connection managers

    - #### aos

          protected java.lang.Object[] aos

      The admin objects

    - #### aoJndis

          protected java.lang.String[] aoJndis

      The JNDI names of the admin objects

    - #### recoveryModules

          protected org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery[] recoveryModules

      The recovery modules

    - #### recoveryRegistry

          protected org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry recoveryRegistry

      The recovery registry

    - #### managementRepository

          protected org.jboss.jca.core.api.management.ManagementRepository managementRepository

      The management repository

    - #### connector

          protected org.jboss.jca.core.api.management.Connector connector

      The management connector

    - #### server

          protected javax.management.MBeanServer server

      The MBeanServer

    - #### objectNames

          protected java.util.List<javax.management.ObjectName> objectNames

      The ObjectName's

    - #### cl

          protected com.github.fungal.api.classloading.KernelClassLoader cl

      The classloader

  - ### Constructor Detail

    - #### AbstractFungalDeployment

          public AbstractFungalDeployment(java.net.URL deployment,
                                          java.lang.String deploymentName,
                                          boolean activator,
                                          javax.resource.spi.ResourceAdapter ra,
                                          java.lang.String raKey,
                                          java.lang.String bootstrapContextId,
                                          org.jboss.jca.core.spi.naming.JndiStrategy jndiStrategy,
                                          org.jboss.jca.core.spi.mdr.MetadataRepository metadataRepository,
                                          org.jboss.jca.core.spi.rar.ResourceAdapterRepository resourceAdapterRepository,
                                          java.lang.Object[] cfs,
                                          java.lang.String[] cfJndis,
                                          org.jboss.jca.core.connectionmanager.ConnectionManager[] cfCMs,
                                          java.lang.Object[] aos,
                                          java.lang.String[] aoJndis,
                                          org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery[] recoveryModules,
                                          org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry recoveryRegistry,
                                          org.jboss.jca.core.api.management.ManagementRepository managementRepository,
                                          org.jboss.jca.core.api.management.Connector connector,
                                          javax.management.MBeanServer server,
                                          java.util.List<javax.management.ObjectName> objectNames,
                                          com.github.fungal.api.classloading.KernelClassLoader cl,
                                          org.jboss.jca.deployers.DeployersLogger log)

      Constructor
      Parameters:
        `deployment` - The deployment
        `deploymentName` - The deployment name
        `activator` - Is this the activator of the deployment
        `ra` - The resource adapter instance if present
        `raKey` - The resource adapter instance key if present
        `bootstrapContextId` - The bootstrap context identifier
        `jndiStrategy` - The JNDI strategy
        `metadataRepository` - The metadata repository
        `resourceAdapterRepository` - The resource adapter repository
        `cfs` - The connection factories
        `cfJndis` - The JNDI names of the connection factories
        `cfCMs` - The connection managers
        `aos` - The admin objects
        `aoJndis` - The JNDI names of the admin objects
        `recoveryModules` - The recovery modules
        `recoveryRegistry` - The recovery registry
        `managementRepository` - The management repository
        `connector` - The management connector instance
        `server` - The MBeanServer
        `objectNames` - The ObjectNames
        `cl` - The classloader for the deployment
        `log` - The logger

  - ### Method Detail

    - #### getURL

          public java.net.URL getURL()

      Get the unique URL for the deployment
      Specified by:
        `getURL` in interface `com.github.fungal.spi.deployers.Deployment`
      Returns:
        The URL

    - #### getClassLoader

          public java.lang.ClassLoader getClassLoader()

      Get the classloader
      Specified by:
        `getClassLoader` in interface `com.github.fungal.spi.deployers.Deployment`
      Returns:
        The classloader

    - #### stop

          public void stop()

      Stop

    - #### destroy

          public void destroy()

      Destroy

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)